/* --- Buttons innerhalb Text-Media-Element links ausrichten, da diese standardmässig zentriert sind ---------------------------------- */
.wp-block-media-text .wp-block-buttons > .wp-block-button {
    margin: 0;
}

/* Spalten-Abstand zwischen Bild und Content -> sichtbar bei Hintergrund-Einfärbung  */
.wp-block-media-text {
    column-gap: clamp(1rem, 1vw + 1rem, 2rem);
}

/* Block-Stil "Card-Stil" Content Element mit Rahmen versehen -> z.B. bei Bulletpoints, wirkt schöner */
.wp-block-media-text.is-style-card-media-text .wp-block-media-text__content {
    box-shadow: var(--box-shadow--primary);
    border-radius: var(--border-radius--medium);
    height: 100%;
    display: flex;
    flex-direction: column; /* Elemente werden vertikal (untereinander) angeordnet */
    justify-content: center; /* Zentriert den Inhalt vertikal im Container */
    align-items: center; /* Zentriert den Inhalt horizontal */
}

/* Maximale Bildgrösse -> soll so sein, wie das Bild hochgeladen wird */
.wp-block-media-text__media img {
    max-width: 676px;
}


/* --- Text zentriert --------------------------------------------------------------------- */
.text-centered .wp-block-group.is-vertical.is-layout-flex {
    gap: clamp(2.5rem, 1.9093vw + 1.568rem, 3rem);
}

.text-centered .wp-block-group:not(:has(details)) p {
    padding-left: 10%;
    padding-right: 20%;
}

.text-centered .wp-block-group:not(:has(details)) h2.is-style-default,
.text-centered .wp-block-group:not(:has(details)) p.is-style-paragraph-large {
    /*padding-left: 10%;*/
    /*padding-right: 10%;*/
    /*text-align: left;*/
}

.text-centered div[aria-label="Block: Vorlage"]>.wp-block-group:has( > .wp-block-file),
.text-centered .wp-block-group:has( > .wp-block-file) {
    width: 80%;
    padding-left: 10%;
    /* margin-top: 2rem; */
}

.text-centered figure.wp-block-embed.is-type-video {
    width: 100%;
}


/* --- Darstellung Bild-Text untereinander bei Mobile ------------------------------------------------------------------------------------ */
@media (max-width: 900px) {
    .wp-block-media-text.is-stacked-on-mobile {
        row-gap: 2rem;
        grid-template-columns: 100%;
    }

    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
        box-shadow: none;
        max-width: 80%;
        margin: auto;
        margin-top: 0;
        margin-bottom: 0;
    }

    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__media {
        grid-column: 1;
        grid-row: 1;
        text-align: center;
    }

    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__media img {
        max-width: 60%;
    }

    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
        padding: 4%;
        align-items: flex-start;
        grid-column: 1;
        grid-row: 2;
    }
}

@media (max-width: 500px) {
    .text-centered .wp-block-group:not(:has(details)) p.is-style-paragraph-large,
    .text-centered .wp-block-group:not(:has(details)) p {
        padding-left: 0;
        padding-right: 0;
    }

    .text-centered .wp-block-group:not(:has(details)) h2.is-style-default {
        padding-left: 0%;
        padding-right: 0%;
        text-align: left;
    }
}



@media (max-width: 400px) {
    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__media img {
        max-width: 100%;
    }

    .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
        max-width: 100%;
    }
}

/* ------------------------------------------------------------------------------------------------------------ */

/* Bei 2 Spalten und kleinem Screen: Bild vertikal oben ausrichten */
@media (max-width: 1024px) {
    .wp-block-media-text > .wp-block-media-text__media {
        align-self: auto;
    }
}

@media (max-width: 780px) {
    section.section-text-media-classic-m-right > div.wp-block-columns {
        flex-direction: column-reverse;
    }

    section.section-text-paragraph div.is-layout-grid > p {
        grid-column: 2 / span 10;
    }
}

@media (max-width: 600px) {

    section.section-text-paragraph div.is-layout-grid > p {
        grid-column: 1 / span 12;
    }
}
